> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/react-native/standalone-modules/document-detector/release-notes.md).

# Release Notes

## May 09th, 2025

### `@caf.io/react-native-document-detector@3.3.0`

#### Highlights

**Android**

* Adding the `useManualCaptureAsFallback` option as a new fallback option when devices cannot instantiate the AI embedded in memory.
* Improve validation when quality is not OK when using `Upload Mode`.

#### Fixes

**Android**

* Fixed crash when network is not working.

***

## April 25th, 2025

### `@caf.io/react-native-document-detector@3.2.0`

#### Highlights

**Android**

* Analytics Improvement

**iOS**

* Analytics Improvement

***

## January 10th, 2025

### `@caf.io/react-native-document-detector@3.1.1`

#### Fixes

**Android**

* Change namespace from `org.caf.documentdetector` to `io.caf.documentdetector`

***

## December 11th, 2024

### `@caf.io/react-native-document-detector@3.1.0`

#### Highlights

**Android**

* Added style themes for android by `styles.xml` and `colors.xml`.

**iOS**

* Added `uploadBackgroundColor` for change color in upload screen.
* Added `previewBackgroundColor` for change color in preview screen.

#### Breaking changes

**Android**

* Removed style propertie for Android

***

## December 04th, 2024

### `@caf.io/react-native-document-detector@3.0.1`

#### Fixes

* Upload flow issue resolved on iOS

***

## November 18th, 2024

### `@caf.io/react-native-document-detector@3.0.0`

#### Highlights

* Removed the requirement for the READ\_MEDIA\_IMAGES permission.
* Correction of the internal dependency that was causing the duplicate class problem.
* Removed data binding to improve build time.
* Crashlytics Integration
* Analytics Integration

#### Breaking changes

**Android**

* Updated Kotlin version from `1.5.32` to `1.9.10`.
* Updated Gradle from `6.9.1` to `8.4`.
* Updated Android Gradle Plugin from `7.4.2` to `8.3.2`.
* Updated compile and taget SDK from `33` to `34`.
* Updated minimum SDK from `21` to `26`.
* Removed `useEmulator` from `DocumentDetectorSecuritySettings`.
* Removed `useRoot` from `DocumentDetectorSecuritySettings`

***

## October 17th, 2024

### `@caf.io/react-native-document-detector@2.2.1`

#### Fixes

* Resolved nested navigation issue resolved on iOS

***

## October 09th, 2024

### `@caf.io/react-native-document-detector@2.2.0`

#### Fixes

* Resolved compatibility issues with Xcode versions

***

## July 02nd, 2024

### `@caf.io/react-native-document-detector@2.1.0`

#### Highlights

* We have replaced the Kotlin Serialization library with our own custom compiler and processor. This allows us to generate classes during compile time more efficiently and tailored to our specific needs.
* A significant portion of the main bridge code has been decoupled and moved into an AAR (Android Archive). This enhances modularity and simplifies code maintenance and updates.

#### Breaking changes

* The personId attribute has been removed from `DocumentDetectorSettings`.
* The method `startDocumentDetector` now requires a new parameter `personId`.\\

***

## June 13th, 2024

### `@caf.io/react-native-document-detector@2.0.0`

#### Highlights

* New AI for smart capture, based on analyzing the framing of documents.
* Similarity between what is being shown on the screen camera and the captured/analyzed photo.
* New design and capture experience.

#### News

* Added *TensorFlowLite* library dependency.
* Added method *showStepLabel* to `DocumentDetectorstep`.
* Added parameters *predictorScanDocumentMessage*, *predictorGetCloserMessage*, *predictorCentralizeMessage*, *predictorMoveAwayMessage*, *predictorAlignDocumentMessage*, *predictorTurnDocumentMessage*, *predictorCapturedMessage*,*wrongDocumentMessage* in the `setMessageSettings`.
* Changed default resolution to **FULL\_HD**.
* Changed default values used to compress pictures.
* Removed audio playback at the beginning of the capture.
* New UI/UX.

#### Features

* Added method analyticsSettings
* Added method popupSettings
* Added method networkSettings
* Added method sensorSettings
* Added method proxySettings
* Added method previewSettings
* Added method compressSettings
* Added method imageUrlExpireTime
* Added method currentStepDoneDelay
* Added method resolutionSettings
* Added method allowedPassportList
* Added method style

**iOS**

* Added method captureStages
* Added method enableGoogleServices

**Android**

* Added method manualCaptureSettings
* Added method enableMultiLanguage

#### Breaking changes

* Removed methods *setMask* from `DocumentDetectorStep` and `DocumentDetectorSdk.Builder`.
* Removed *OTHERS* from `Document`. Use *ANY* to capture any type of document.

**iOS**

* Removed method *enableSound* from `DocumentDetectorSdkSdk.Builder`.
* Removed methos *wrongDocumentMessage\_RG\_FRONT*, *wrongDocumentMessage\_RG\_BACK*, *wrongDocumentMessage\_RG\_FULL*, *wrongDocumentMessage\_CNH\_FRONT*, *wrongDocumentMessage\_CNH\_BACK*, *wrongDocumentMessage\_CNH\_FULL*, *wrongDocumentMessage\_CRLV*, *wrongDocumentMessage\_RNE\_FRONT*, *wrongDocumentMessage\_RNE\_BACK* from `setMessageSettings`.
* Changed to *FULL\_HD* and *ULTRA\_HD* options in the `Resolution`.
* Removed *setDetectionSettings* from `DocumentDetectorSdk.Builder`.
* Removed *setQualitySettings* from `DocumentDetectorSdk.Builder`.
* Removed *setColorTheme* from `DocumentDetectorSdk.Builder`. The main color can now be set with the *primaryColor* parameter in `setLayout` method.
* Renamed *scannedLabel* to *label* in `DocumentDetectorResult -> captures -> Capture`.
* Changed minimum iOS deployment target from *11.0* to *12.0*.

**Android**

* Removed method *setAudioSettings* from `DocumentDetector.Builder`.
* Removed methods *setStepAudio* and *getStepAudio* from `DocumentDetectorStep`.
* Removed method *setAutoDetection* from `DocumentDetector.Builder`.
* Removed methos *setWrongDocumentMessage\_RG\_FRONT*, *setWrongDocumentMessage\_RG\_BACK*, *setWrongDocumentMessage\_RG\_FULL*, *setWrongDocumentMessage\_CNH\_FRONT*, *setWrongDocumentMessage\_CNH\_BACK*, *setWrongDocumentMessage\_CNH\_FULL*, *setWrongDocumentMessage\_CRLV*, *setWrongDocumentMessage\_RNE\_FRONT*, *setWrongDocumentMessage\_RNE\_BACK* from `MessageSettings`.
* Removed *HD* option from `Resolution`.
* Removed *DetectionSettings* and *QualitySettings* from `CaptureStages`.
* Removed method *enableSwitchCameraButton* from `DocumentDetector.Builder`.
* Changed `CaptureStage` parameters order.
* Use the new default template for the *setLayout* and *setStyle* methods.

***

## April 18th, 2024

### `@caf.io/react-native-document-detector@1.0.0`

#### First Release

We are thrilled to unveil our latest React Native library, featuring integration with the Document Detector SDK. With this release, effortlessly incorporate document detection capabilities into your React Native applications, offering comprehensive support for both Android and iOS platforms.

#### Features

* `startDocumentDetector`: Initialize the Document Detector SDK effortlessly.
* `useDocumentDetector`: This hook simplifies listening to SDK events, transmitting them to React Native, and managing SDK configurations.
* `DocumentDetectorSettings`
  * `documentSteps`: Configure the document capture flow to suit your application's requirements.
  * `personId`: Utilize user identification for fraud profile identification and streamline analytics logs identification for debugging purposes.
  * `cafStage`: Configure the SDK environment.
  * `previewSettings`: Enables users to configure the visualization of the captured content, prompting them to confirm before proceeding.
* `DocumentDetectorUploadSettings`: Enable or disable document uploading.
* `DocumentDetectorMessageSettings`: Personalize messages displayed during document capture.

**Android**

The SDK has some blocks that may prevent its execution in certain contexts. To disable them, you can use the settings below:

* `DocumentDetectorSecuritySettings`: Manage SDK security settings.

#### Getting Started

Explore our [documentation](https://github.com/combateafraude/public-docs/blob/docs-sdks/react-native/document-detector/getting-started/documentdetector.md) to understand how to implement the Document Detector in React Native. We provide clear instructions and practical examples to facilitate your implementation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/react-native/standalone-modules/document-detector/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
